Bug 670305 - [abrt] fedpkg-0.5.2.0-2.fc14: httplib.py:845:putrequest:CannotSendRequest
Summary: [abrt] fedpkg-0.5.2.0-2.fc14: httplib.py:845:putrequest:CannotSendRequest
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: fedora-packager
Version: 14
Hardware: x86_64
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: David Cantrell
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:0021e2c0
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-01-17 20:29 UTC by Sven Lankes
Modified: 2013-01-10 06:25 UTC (History)
3 users (show)

Fixed In Version: fedora-packager-0.5.5.0-2.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-02-08 22:56:02 UTC


Attachments (Terms of Use)
File: backtrace (1.58 KB, text/plain)
2011-01-17 20:30 UTC, Sven Lankes
no flags Details

Description Sven Lankes 2011-01-17 20:29:59 UTC
abrt version: 1.1.14
architecture: x86_64
cmdline: /usr/bin/python /usr/bin/fedpkg build
component: fedora-packager
executable: /usr/bin/fedpkg
kernel: 2.6.37-1.fc15.x86_64
package: fedpkg-0.5.2.0-2.fc14
reason: httplib.py:845:putrequest:CannotSendRequest
release: Fedora release 14 (Laughlin)
time: 1295296115
uid: 500

backtrace
-----
httplib.py:845:putrequest:CannotSendRequest

Traceback (most recent call last):
  File "/usr/bin/fedpkg", line 1250, in <module>
    args.command(args)
  File "/usr/bin/fedpkg", line 342, in build
    return _watch_koji_tasks(mymodule.kojisession, [task_id], quiet=args.q)
  File "/usr/bin/fedpkg", line 244, in _watch_koji_tasks
    for t in tasks.values() if not t.is_done()]))
  File "/usr/bin/fedpkg", line 134, in display_state
    host = self.session.getHost(info['host_id'])
  File "/usr/lib/python2.7/site-packages/koji/__init__.py", line 1510, in __call__
    return self.__func(self.__name,args,opts)
  File "/usr/lib/python2.7/site-packages/koji/__init__.py", line 1740, in _callMethod
    return proxy.__getattr__(name)(*args)
  File "/usr/lib64/python2.7/xmlrpclib.py", line 1224, in __call__
    return self.__send(self.__name, args)
  File "/usr/lib64/python2.7/xmlrpclib.py", line 1570, in __request
    verbose=self.__verbose
  File "/usr/lib64/python2.7/xmlrpclib.py", line 1264, in request
    return self.single_request(host, handler, request_body, verbose)
  File "/usr/lib64/python2.7/xmlrpclib.py", line 1289, in single_request
    self.send_request(h, handler, request_body)
  File "/usr/lib64/python2.7/xmlrpclib.py", line 1391, in send_request
    connection.putrequest("POST", handler, skip_accept_encoding=True)
  File "/usr/lib64/python2.7/httplib.py", line 845, in putrequest
    raise CannotSendRequest()
CannotSendRequest

Local variables in innermost frame:
url: '/kojihub'
self: <httplib.HTTPConnection instance at 0x2cffe18>
skip_accept_encoding: True
method: 'POST'
skip_host: 0

How to reproduce
-----
I did "fedpkg build" and pressed CTRL-C during the "Watching tasks (this may be safely interrupted)...." phase.

Comment 1 Sven Lankes 2011-01-17 20:30:02 UTC
Created attachment 473926 [details]
File: backtrace

Comment 2 Jesse Keating 2011-01-21 21:13:09 UTC
Ugh, more things to catch there.

Comment 3 Jesse Keating 2011-01-21 22:12:49 UTC
I think I whacked this upstream.  It'll be in the next build.

Comment 4 Ville Skyttä 2011-01-29 20:56:14 UTC
Package: fedpkg-0.5.2.0-2.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Started a build with "fedpkg build"
2. Terminated watching its output after a bit with Ctrl-C
3.


Comment
-----
I suppose this is entirely cosmetic but it is an ugly backtrace and causes an abrt notification.

Comment 5 Fedora Update System 2011-01-31 20:36:21 UTC
fedora-packager-0.5.3.0-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/fedora-packager-0.5.3.0-1.fc14

Comment 6 Fedora Update System 2011-01-31 21:01:59 UTC
fedora-packager-0.5.3.0-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/fedora-packager-0.5.3.0-1.fc13

Comment 7 Fedora Update System 2011-01-31 21:28:17 UTC
fedora-packager-0.5.3.0-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/fedora-packager-0.5.3.0-1.el6

Comment 8 Fedora Update System 2011-01-31 22:49:01 UTC
fedora-packager-0.5.3.0-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/fedora-packager-0.5.3.0-1.el5

Comment 9 Fedora Update System 2011-02-01 17:06:59 UTC
fedora-packager-0.5.3.0-1.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update fedora-packager'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/fedora-packager-0.5.3.0-1.el5

Comment 10 Fedora Update System 2011-02-08 22:55:23 UTC
fedora-packager-0.5.3.0-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2011-02-09 17:25:52 UTC
fedora-packager-0.5.3.0-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2011-02-09 20:17:56 UTC
fedora-packager-0.5.3.0-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2011-02-10 22:41:17 UTC
fedora-packager-0.5.5.0-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/fedora-packager-0.5.5.0-1.el6

Comment 14 Fedora Update System 2011-02-21 22:54:19 UTC
fedora-packager-0.5.5.0-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/fedora-packager-0.5.5.0-2.el6

Comment 15 Fedora Update System 2011-02-28 23:57:48 UTC
fedora-packager-0.5.5.0-2.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.